Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util
Class Value<T>

    java.lang.Object
      org.hibernate.internal.util.Value<T>

    public class Value<T>

extends Object

Represents a "final" value that is initialized either `up front` or once at some point `after` declaration.

Nested Class Summary
`static interface` | `Value.DeferredInitializer<T>` The snippet that generates the initialization value.

Constructor Summary
`Value(T value)`
`Value(Value.DeferredInitializer<T> valueInitializer)` Instantiates a `Value` with the specified initializer.

Method Summary
`T` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value

    public Value(Value.DeferredInitializer<T> valueInitializer)

  Instantiates a `Value` with the specified initializer.

  Parameters:
    `valueInitializer` - The initializer to use in `getValue()` when value not yet known.

### Value

    public Value(T value)

Method Detail

### getValue

    public T getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.